export declare const sliderStyle: {
    margin: string;
    '& .MuiSlider-thumb': {
        height: number;
        width: number;
        backgroundColor: string;
        boxShadow: string;
        '&:focus, &:hover, &.Mui-active': {
            boxShadow: string;
            '@media (hover: none)': {
                boxShadow: string;
            };
        };
    };
    '& .MuiSlider-track': {
        border: string;
        width: number;
        height: number;
        background: string;
    };
    '& .MuiSlider-rail': {
        border: string;
        background: string;
        width: number;
        height: number;
        opacity: number;
    };
    '& .MuiSlider-mark': {
        backgroundColor: string;
        width: number;
        height: number;
        '&.MuiSlider-markActive': {
            opacity: number;
            backgroundColor: string;
        };
        '&[data-index="0"]': {
            display: string;
        };
        '&[data-index="5"]': {
            display: string;
        };
    };
};
export declare const styles: {
    label: {
        fontSize: "14px";
        fontWeight: number;
        color: "#555";
        height: "auto";
        width: "auto";
    };
    container: {
        display: "flex";
        alignItems: "center";
        flexDirection: "column";
        height: "100%";
        width: "100%";
    };
    value: {
        textAlign: "center";
    };
};
