export interface SlidingDateSelectorProps {
  minYear: number
  maxYear: number
  labelColor: string
  primaryButtonColor?: string
  primaryButtonSelectedColor?: string
  secondaryButtonColor?: string
  initialDate?: SelectedDate
  onDateUpdated: (date: SelectedDate) => void
  disableTodaySelection?: boolean
  compact?: boolean
}

export interface SelectedDate {
  day?: number
  month?: number
  year: number
}
