import React from 'react'
import { ButtonProps } from './Button.types'
import './Style.css'

const Button = ({ text, onClick, color }: ButtonProps) => {
  return (
    <button className="button" style={{ background: color }} onClick={onClick}>
      {text}
    </button>
  )
}

export default Button
