import { createStyles } from '../styles'

export const styles = createStyles({
  slideContainer: {
    width: '100%',
  },
  label: {
    width: '100%',
    textAlign: 'center',
    marginBottom: '10px',
  },
  minVal: {
    display: 'flex',
    flex: '1',
    fontSize: '14px',
  },
  maxVal: {
    display: 'flex',
    flex: '1',
    justifyContent: 'flex-end',
    fontSize: '14px',
  },
  slider: {
    WebkitAppearance: 'none',
    appearance: 'none',
    width: '100%',
    height: '15px',
    background: '#d3d3d3',
    outline: 'none',
    '::-webkit-slider-thumb': {
      WebkitAppearance: 'none',
      appearance: 'none',
      width: '35px',
      height: '35px',
      background: '#04AA6D',
      cursor: 'pointer',
      borderRadius: '50%',
    },
    '::-moz-range-thumb': {
      width: '35px',
      height: '35px',
      background: '#04AA6D',
      cursor: 'pointer',
      borderRadius: '50%',
    },
  },
})
